<main class="viewer__container">
  <div class="viewer__wide">
    <header>
      <lib-pageheader
        [pageTitle]="title"
        [superTitle]="'Studiejaar ' + (selectedYear$ | async)"
        [buttonText]="'Toevoegen'"
        [buttonImageClass]="'fa fa-plus fa-lg'"
        [actionIsAllowed]="userMayEdit$ | async"
        (action)="onAddElement()"
      ></lib-pageheader>
    </header>

    <nav>
      <lib-actions [actionsGroup]="actions"></lib-actions>
    </nav>

    <article>
      <section>
        <div>
          <ngx-datatable
            class="bootstrap"
            [rows]="objectiveElements$ | async"
            [columns]="columnHeaders"
            [columnMode]="'flex'"
            [headerHeight]="50"
            [footerHeight]="50"
            [rowHeight]="'auto'"
            [selected]="selected"
            [selectionType]="'single'"
            (select)="onSelect($event)"
          >
          </ngx-datatable>
        </div>
      </section>
    </article>
  </div>
</main>
